<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.InstallationMapper">

    <resultMap id="installationMap" type="com.tofly.watermeter.entity.Installation">
        <id property="installationCode" column="INSTALLATION_CODE"/>
        <result property="uploadFlag" column="UPLOAD_FLAG"/>
        <result property="createDate" column="CREATE_DATE"/>
    </resultMap>

    <insert id="batchInsertInsertedCode">
        insert into TF_YWPN_INSTALLATION_W
        <foreach collection="code" item="c" separator="union all">
            select #{c}, '0',sysdate from DUAL
        </foreach>
    </insert>

</mapper>